<component-section>
  <div slot="title">OW-4 Architecture design cycle</div>
  <component-intendedlearningoutcomes>
    <component-intendedlearningoutcome codes='["SK-begrip-QAs", "SA-begrip-requirements"]'
      >legt
      <strong><abbr title="quality attribute requirement">qar</abbr></strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SK-begrip-QAs", "SA-begrip-requirements"]'
      >legt
      <strong><abbr title="quality attribute scenario">qas</abbr></strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SK-begrip-concepten"]'
      >legt een algemene <strong>architecture design cycle</strong>, het <strong>Hofmeister-model</strong>,
      uit.</component-intendedlearningoutcome
    >
    <component-intendedlearningoutcome codes='["SK-begrip-concepten"]'
      >legt
      <strong>architectural analysis</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SK-begrip-concepten"]'
      >legt
      <strong>architectural synthesis</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SK-begrip-concepten"]'
      >legt
      <strong>architectural assets</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-evalueren"]'
      >legt
      <strong>architectural evaluation</strong>
      uit.
    </component-intendedlearningoutcome>
  </component-intendedlearningoutcomes>
  <component-section>
    <div slot="title">Bestuderen</div>
    <p class="bron">
      <abbr
        title="Hofmeister, C., Kruchten, P., Nord, R. L., Obbink, H., Ran, A., & America, P. (2007). A general model of software architecture design derived from five industrial approaches. Journal of Systems and Software, 80(1), 106-126.">
        <a href="bron/material/Hofmeister_al_GeneralModelOfArchitecture.pdf"
          >A general model of software architecture design - pp. 106-126</a
        >
      </abbr>
    </p>
    <p class="bron">
      <cite data-id="6867189/KRJVJXEU" data-label="chapter" data-locator="16-17">
        Software Architecture in Practice</cite
      >
    </p>
    <p><strong>Lesweek 5:</strong></p>
    <p class="bron">
      <abbr
        title="van Heesch, U., Avgeriou, P., & Hilliard, R. (2012). Forces on Architecture Decisions-A Viewpoint. In Proceedings of the 2012 Joint Working IEEE/IFIP Conference on Software Architecture and European Conference on Software Architecture (pp. 101-110). IEEE Computer Society.">
        <a href="bron/material/vanHeesch_al_ForcesOnArchDecisions-WICSA12b.pdf"
          >Forces on Architecture Decisions - pp. 101-110</a
        >
      </abbr>
    </p>
  </component-section>
  <component-section>
    <div slot="title">Oefening 1</div>
    <component-exercise>
      <p><strong>Architectual Analysis:</strong></p>
      <ol>
        <li>Werk in een groep van 3 a 5 studenten.</li>
        <li>Lees HandsOn: <a href="/SKA/#sec_3.3">Software Trendanalyse Dashboard</a></li>
        <li>Vul eventueel de stakeholders aan en beschrijf de <strong>concerns</strong> van deze stakeholders.</li>
        <li>
          Indentificeer de QA's uit het Programma van Vereisten (...link....). Laat de functional requirements
          achterwege.
        </li>
        <li>Verbeter, indien nodig, de sketch van het systeem.</li>
        <li>Koppel de QA's aan de sketch van het systeem.</li>
        <li>Zijn er nog andere "forces" (NFR) waarmee rekening moet worden gehouden.</li>
        <li>Maak een korte (5 minuten) Presentatie van bovenstaande.</li>
      </ol>
    </component-exercise>
  </component-section>
  <component-section>
    <div slot="title">Oefening 2</div>
    <component-exercise>
      <p><strong>Architectual Synthesis:</strong></p>
      <ol>
        <li>Werk in een groep van 3 a 5 studenten.</li>
        <li>Lees (indien nodig) HandsOn: <a href="/SKA/#sec_3.3">Software Trendanalyse Dashboard</a></li>
        <li>Verbeter, indien nodig, de visie en ASR's van het systeem.</li>
        <li>
          Selecteer de key architectural drivers en maak een eerste lijst met candidate solutions, inclusief COTS die
          betrekking hebben op deze drivers.
        </li>
        <li>Maak een Decision Forces View met de relevante ASR's.</li>
        <li>Maak een korte (5 minuten) Presentatie van bovenstaande.</li>
      </ol>
    </component-exercise>
  </component-section>
  <component-section>
    <div slot="title">👨‍🏫 Presentatie</div>
    <ul class="liststyletypenone">
      <li class="bron">
        <a href="bron/slides/SKA_OW4.pdf">Lesweek 4</a>
      </li>
      <li class="bron">
        <a href="bron/slides/SKA_OW5_A.pdf">Lesweek 5A</a>
      </li>
    </ul>
  </component-section>
</component-section>
